-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 4518 of the CMF schema.
-- Add host templates.
--

update SCHEMA_VERSION set VERSION=4518;

create table HOST_TEMPLATES (
  HOST_TEMPLATE_ID bigint not null,
  OPTIMISTIC_LOCK_VERSION bigint not null,
  NAME varchar(255) not null unique,
  CLUSTER_ID bigint not null,
  primary key (HOST_TEMPLATE_ID)
) engine=InnoDB;

alter table HOST_TEMPLATES
  add index IDX_HOST_TEMPLATE_CLUSTER (CLUSTER_ID),
  add constraint FK_HOST_TEMPLATE_CLUSTER
  foreign key (CLUSTER_ID)
  references CLUSTERS (CLUSTER_ID);

create table HOST_TEMPLATE_TO_ROLE_CONF_GRP (
  HOST_TEMPLATE_ID bigint not null,
  ROLE_CONFIG_GROUP_ID bigint not null,
  primary key (HOST_TEMPLATE_ID, ROLE_CONFIG_GROUP_ID)
) engine=InnoDB;

alter table HOST_TEMPLATE_TO_ROLE_CONF_GRP
  add index IDX_HOST_TEMPL_TO_RCG_HOST_TMP (HOST_TEMPLATE_ID),
  add constraint FK_HOST_TEMPL_TO_RCG_HOST_TEMP
  foreign key (HOST_TEMPLATE_ID)
  references HOST_TEMPLATES (HOST_TEMPLATE_ID);

alter table HOST_TEMPLATE_TO_ROLE_CONF_GRP
  add index IDX_HOST_TEMPL_TO_RCG_RCG (ROLE_CONFIG_GROUP_ID),
  add constraint FK_HOST_TEMPL_TO_RCG_RCG
  foreign key (ROLE_CONFIG_GROUP_ID)
  references ROLE_CONFIG_GROUPS (ROLE_CONFIG_GROUP_ID);

