-- Copyright (c) 2013 Cloudera, Inc. All rights reserved.
--
-- Adds the impala audit table to navigator schema.
--

rename GOV_SCHEMA_VERSION to AUDIT_SCHEMA_VERSION;

create table IMPALA_AUDIT_EVENTS (
  ID                       number(19,0) not null,
  EVENT_TIME               number(19,0) not null,
  ALLOWED                  number (1,0) not null,
  SERVICE_NAME             varchar2(255) not null,
  USERNAME                 varchar2(255) not null,
  IMPERSONATOR             varchar2(255),
  IP_ADDR                  varchar2(255) not null,
  OPERATION                varchar2(255) not null,
  QUERY_ID                 varchar2(255) not null,
  SESSION_ID               varchar2(255) not null,
  STATUS                   varchar2(1024),
  DATABASE_NAME            varchar2(1024),
  OBJECT_TYPE              varchar2(255),
  TABLE_NAME               varchar2(1024),
  PRIVILEGE                varchar2(255),
  OPERATION_TEXT           varchar2(4000) not null,
  primary key (ID)
);

CREATE INDEX IDX_IMPALA_EVENT_TIME ON IMPALA_AUDIT_EVENTS (EVENT_TIME);

CREATE SEQUENCE IMPALA_AUDIT_EVENTS_SEQUENCE
  START WITH 1
  NOMAXVALUE;

--  Increase size of OPERATION_TEXT in Hive tables
com.cloudera.navigator.schema.AlterHiveOperationTextColumnSize
